@font-face {
    font-family: 'Noto Sans Thai';
    src: url('/fonts/NotoSansThai/NotoSansThai-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Noto Sans Thai';
    src: url('/fonts/NotoSansThai/NotoSansThai-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

body {
    font-family: 'Noto Sans Thai', sans-serif;
}

a:hover {
    color: unset;
}

.scanner-input {
    display: flex;
}

.scanner-input .find-btn i {
    font-size: 15px;

}


.scanner-input .find-btn {
    background-color: #71D0D5;
    color: #fff;

}




.arrow-btn {}

input.error {
    border: 1px solid #ef4444;
}

input.error:hover {
    border: 1px solid #ef4444;
}

input.error:focus {
    border: 1px solid #ef4444;
}

.swc-btn-confirm {
    background-color: #06ADB3;
    box-shadow: none;
}

.swc-btn-confirm:active {
    border-color: #71D0D5;
    outline: none;
    box-shadow: none !important;

}

/* เมื่อปุ่มถูกโฟกัส (เช่น กด Tab ไปที่ปุ่ม) */
.swc-btn-confirm:focus {
    border-color: #71D0D5;
    outline: none;
    /* เอาเส้นขอบของ browser ออก */
    box-shadow: none !important;

}

.btn-primary:hover {
    background-color: #71D0D5;
}


.btn-primary:focus {
    background-color: #71D0D5;
}

.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    font-size: 24px;
    line-height: 1.33;
    border-radius: 35px;
}

.log-btn {
    position: fixed;
    right: 10px;
    bottom: 10px;
}

.btn-circle.btn-lg {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    width: 50px;
    height: 50px;
    padding: 10px 16px;
    font-size: 18px;
    line-height: 1.33;
    border-radius: 25px;
    color: #fff;
    background-color: #00acb1;

}

.barcode-popup .barcode-img {}

.barcode-popup span {

    font-size: 12px;
    ;
}


.navbar-vertical .navbar-nav>.nav-item .nav-link:focus {

    background-color: #06ADB3;
    font-weight: 600;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px -1px rgba(0, 0, 0, 0.1);
    border-radius: 0.75rem;
    color: #ffff;


}

a.bg-primary:focus,
a.bg-primary:hover,
button.bg-primary:focus,
button.bg-primary:hover {
    background-color: #0b9195 !important;
}

.b-checkbox {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}




.b-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}


.check {
    position: absolute;
    top: 0;
    left: 0;
    height: 18px;
    width: 18px;
    background-color: #ffffff;
    border: 1px solid #abb1bf;
}

/* On mouse-over, add a grey background color */
.b-checkbox:hover input~.check {
    background-color: #06adb364;
}

/* When the checkbox is checked, add a blue background */
.b-checkbox input:checked~.check {
    background-color: #06adb3;
    border: 1px solid #06adb3;

}

/* Create the checkmark/indicator (hidden when not checked) */
.check:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.b-checkbox input:checked~.check:after {
    display: block;
}

/* Style the checkmark/indicator */
.b-checkbox .check:after {
    left: 6px;
    top: 3px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.body-msg{
    height: 100vh;
    position: fixed;
    width: 100%;
    top: auto;
    z-index: 99999;
    right: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.body-msg .msg{
    color: black;
  font-size: 15vh;

}
.body-msg.success {
    /* background-color: #28a745; */

}
